Package Details: monosim-gtk 2.0.1.0-2

Git Clone URL: https://aur.archlinux.org/monosim-gtk.git (read-only)
Package Base: monosim-gtk
Description: To read, write, update, delete and backup your sim card contacts with standard pcsc smartcard reader
Upstream URL: http://www.integrazioneweb.com/monosim/
Licenses: GPL
Submitter: zoe
Maintainer: None
Last Packager: zoe
Votes: 3
Popularity: 0.000002
First Submitted: 2016-02-03 22:07
Last Updated: 2016-02-03 22:28

Latest Comments

papo commented on 2018-03-13 10:41

gtk-sharp-2 still needs to be added manually as dependency. Plus, the build is currently subject to this problem:

https://github.com/mono/mono/issues/6752

prefixing yaourt with TERM=xterm did work around the issue for me.

Faalagorn commented on 2017-11-27 05:30

It seems wget is also needed as a make dependency. It wasn't obvious for me as it turned out I didn't had wget installed and the package was missing comex-base that was nowhere to be found. Based on the build instructions here https://github.com/armando-basile/monosim/wiki/Monosim-on-Linux it turned out that wget is required to download comex-base in prepare.sh file so after installing wget it worked :)

jtmb commented on 2017-08-07 08:05

dependency 'gtk' wasn't found, I changed it to gtk2 in the PKGBUILD and it works fine.

natestar13 commented on 2016-04-13 18:08

Please add the gtk-sharp-2 package as a dependency.

https://www.archlinux.org/packages/extra/x86_64/gtk-sharp-2/

Without this package installed, I would get the following error when I tried to compile and install the monosim-gtk package:

The type or namespace name `Gtk' could not be found. Are you missing an assembly reference?